Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface IClientStream

All Superinterfaces:
  IStream

All Known Subinterfaces:
  IClientBroadcastStream, IPlaylistSubscriberStream, ISingleItemSubscriberStream, ISubscriberStream

All Known Implementing Classes:
  AbstractClientStream, ClientBroadcastStream, PlaylistSubscriberStream

    public interface IClientStream

extends IStream

A stream that is bound to a client.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Field Summary
`static String` | `MODE_APPEND`
`static String` | `MODE_LIVE`
`static String` | `MODE_PUBLISH`
`static String` | `MODE_READ`
`static String` | `MODE_RECORD`

Method Summary
`int` | `getClientBufferDuration()` Get the buffer duration for this stream as requested by the client.
`IStreamCapableConnection` | `getConnection()` Get connection containing the stream.
`int` | `getStreamId()` Get stream id allocated in a connection.
`void` | `setClientBufferDuration(int bufferTime)` Set the buffer duration for this stream as requested by the client.

Methods inherited from interface org.red5.server.api.stream.IStream
`close, getCodecInfo, getCreationTime, getName, getScope, start, stop`

Field Detail

### MODE_READ

    static final String MODE_READ

See Also:
  Constant Field Values

### MODE_RECORD

    static final String MODE_RECORD

See Also:
  Constant Field Values

### MODE_APPEND

    static final String MODE_APPEND

See Also:
  Constant Field Values

### MODE_LIVE

    static final String MODE_LIVE

See Also:
  Constant Field Values

### MODE_PUBLISH

    static final String MODE_PUBLISH

See Also:
  Constant Field Values

Method Detail

### getStreamId

    int getStreamId()

  Get stream id allocated in a connection.

  Returns:
    the stream id

### getConnection

    IStreamCapableConnection getConnection()

  Get connection containing the stream.

  Returns:
    the connection object or `null` if the connection is no longer active

### setClientBufferDuration

    void setClientBufferDuration(int bufferTime)

  Set the buffer duration for this stream as requested by the client.

  Parameters:
    `bufferTime` - duration in ms the client wants to buffer

### getClientBufferDuration

    int getClientBufferDuration()

  Get the buffer duration for this stream as requested by the client.

  Returns:
    bufferTime duration in ms the client wants to buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project